﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using BPASmartClient.CustomResource.Pages.Model;
using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using Microsoft.Toolkit.Mvvm.Input;

namespace BPASmartClient.CustomResource.Pages.ViewModel
{
    public class LoginViewModel : ObservableObject
    {
        public LoginViewModel()
        {
            LoginCommand = new RelayCommand(() =>
            {
                var res = Global.userManager.userInfos.FirstOrDefault(p => p.UserName == UserName && p.Password == Password);
                if (res != null)
                {
                    Global.userInfo.permission = res.permission;
                    Global.userInfo.UserName = res.UserName;
                    Global.userInfo.Password = res.Password;
                    for (int i = 0; i < MenuManage.GetInstance.menuModels.Count; i++)
                    {
                        if (MenuManage.GetInstance.menuModels.ElementAt(i).MainMenuPermission.Contains(res.permission))
                            MenuManage.GetInstance.menuModels.ElementAt(i).MainMenuVisibility = Visibility.Visible;
                        else
                            MenuManage.GetInstance.menuModels.ElementAt(i).MainMenuVisibility = Visibility.Collapsed;

                        if (MenuManage.GetInstance.menuModels.ElementAt(i).subMenumodels.FirstOrDefault(p => p.SubMenuPermission.Contains(res.permission)) == null)
                            MenuManage.GetInstance.menuModels.ElementAt(i).MainMenuVisibility = Visibility.Collapsed;

                        for (int m = 0; m < MenuManage.GetInstance.menuModels.ElementAt(i).subMenumodels.Count; m++)
                        {
                            if (MenuManage.GetInstance.menuModels.ElementAt(i).subMenumodels.ElementAt(m).SubMenuPermission.Contains(res.permission))
                                MenuManage.GetInstance.menuModels.ElementAt(i).subMenumodels.ElementAt(m).SubMenuVisibility = Visibility.Visible;
                            else
                                MenuManage.GetInstance.menuModels.ElementAt(i).subMenumodels.ElementAt(m).SubMenuVisibility = Visibility.Collapsed;
                        }
                    }
                    ActionManage.GetInstance.Send("LoginOk");
                }
                else
                {
                    ErrorInfo = "用户名或密码错误！";
                }

            });

            ExitCommand = new RelayCommand(() =>
            {
                ActionManage.GetInstance.Send("ExitAction");
            });
        }

        public RelayCommand LoginCommand { get; set; }

        public RelayCommand ExitCommand { get; set; }



        public string ErrorInfo { get { return _mErrorInfo; } set { _mErrorInfo = value; OnPropertyChanged(); } }
        private string _mErrorInfo;


        public string UserName { get { return _mUserName; } set { _mUserName = value; OnPropertyChanged(); } }
        private string _mUserName = "admin";


        public string Password { get { return _mPassword; } set { _mPassword = value; OnPropertyChanged(); } }
        private string _mPassword;


    }
}
