﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;
using System.Collections.Concurrent;
using Microsoft.Toolkit.Mvvm.ComponentModel;

namespace BPASmartClient.Model
{
    public class KeepDataBase : ObservableObject
    {
        /// <summary>
        /// 模拟订单数据的配置
        /// </summary>
        public ObservableCollection<SimOrderVisibleData> simOrderConfig { get; set; } = new ObservableCollection<SimOrderVisibleData>();

        /// <summary>
        /// 需要保存的订单数据
        /// </summary>
        public ObservableCollection<OrderData> orderLists { get; set; } = new ObservableCollection<OrderData>();

        /// <summary>
        /// 是否验证上位机
        /// </summary>
        public bool IsVerify { get { return _mIsVerify; } set { _mIsVerify = value; OnPropertyChanged(); } }
        private bool _mIsVerify;


    }
}
