﻿using BPASmartClient.Device;
using System.Collections.Concurrent;

namespace BPASmartClient.MorktJAKAJC
{
    public class GVL_MORKJC : IStatus
    {
        /// <summary>
        /// <summary>
        /// 咖啡订单队列
        /// </summary>
        public ConcurrentQueue<OrderLocInfo> morkOrderPushesCoffee = new ConcurrentQueue<OrderLocInfo>();
        /// <summary>
        /// 是否有咖啡杯
        /// </summary>
        public bool IsHaveCoffeeCup = false;

        /// <summary>
        /// 咖啡是否制作完成
        /// </summary>
        public bool MakeCoffeeEnd = false;

        /// <summary>
        /// 果汁订单队列
        /// </summary>
        public ConcurrentQueue<OrderLocInfo> morkOrderPushesJuicer = new ConcurrentQueue<OrderLocInfo>();
        /// <summary>
        /// 果汁是否在制作中
        /// </summary>
        public bool IsHaveJuiceCup = false;
        /// <summary>
        /// 咖啡是否制作完成
        /// </summary>
        public bool MakeJuiceEnd = false;

        /// <summary>
        /// 做茶订单队列
        /// </summary>
        public ConcurrentQueue<OrderLocInfo> morkOrderPushesTea = new ConcurrentQueue<OrderLocInfo>();
        /// <summary>
        /// 茶或水是否在制作中
        /// </summary>
        public bool IsHaveTeaWaterCup = false;
        /// <summary>
        /// 咖啡是否制作完成
        /// </summary>
        public bool MakeTeaEnd = false;

        /// <summary>
        /// 做开水订单队列
        /// </summary>
        public ConcurrentQueue<OrderLocInfo> morkOrderPushesWater = new ConcurrentQueue<OrderLocInfo>();

        /// <summary>
        /// 等待取餐订单
        /// </summary>
        public OrderLocInfo waitMorkOrder = new OrderLocInfo();

        /// <summary>
        /// 当前正在制作咖啡
        /// </summary>
        public OrderLocInfo MakeCoffeeOrder = new OrderLocInfo();

        /// <summary>
        /// 订单ID
        /// </summary>
        public string SuborderId = null;
    }
}
