﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.DosingSystem.Model
{
    public class RawMaterialDeviceStatus
    {

        /// <summary>
        /// 原料类型 
        /// 1：液体
        /// 2：膏体
        /// 3：粉体
        /// </summary>
        public ushort RawMaterialType { get; set; }

        /// <summary>
        /// 料仓重量反馈 
        /// </summary>
        public float WeightFeedback { get; set; }

        /// <summary>
        /// 上限反馈
        /// </summary>
        public bool UpLimitFeedback { get; set; }

        /// <summary>
        /// 下限反馈 
        /// </summary>
        public bool DownLimitFeedback { get; set; }

        /// <summary>
        /// 下料重量反馈   
        /// </summary>
        public float CutWeightFeedback { get; set; }

        /// <summary>
        /// 设备运行状态
        /// </summary>
        public ushort RunStatus { get; set; }
    }
}
