﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.AGV
{
    /// <summary>
    /// AGV任务下发
    /// </summary>
    internal class AGVModel
    {
        /// <summary>
        /// 必填项
        /// </summary>
        public string robotJobId { get; set; }
        /// <summary>
        /// 必填项
        /// </summary>
        public long warehouseId { get; set; }
        public string? robotJobGroupId { get; set; }
        public int? sequence { get; set; }
        /// <summary>
        /// 必填项
        /// </summary>
        public int jobPriority { get; set; }
        /// <summary>
        /// 必填项
        /// </summary>
        public int jobPriorityType { get; set; }
        public string? deadline { get; set; }
        public string? agvType { get; set; }
        public string? agvEndPoint { get; set; }
        public bool? needOperation { get; set; }
        public string? agvCode { get; set; }
        public int? taskCountDown { get; set; }
        public string? businessType { get; set; }
        /// <summary>
        /// 必填项
        /// </summary>
        public string jobType { get; set; }
        /// <summary>
        /// 必填项
        /// </summary>
        public IJobData jobData { get; set; } 
        
    }
}
