﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.AGV
{
    /// <summary>
    /// 辊筒点到点搬运
    /// </summary>
    internal class AGV_PointRollerJobData:IJobData
    {
        public string? containerCode { get; set; }
        public string startPoint { get; set; }
        public string endPoint { get; set; }
        public bool autoLoad { get; set; }
        public bool enableIOLoad { get; set; }
        public bool autoUnload { get; set; }
        public bool enableIOUnload { get; set; }
        public long? loadEquipmentId { get; set; } = null;
        public long? unloadEquipmentId { get; set; } = null;
        public bool? loadInteractive { get; set; }
        public int? loadHeight { get; set; }
        public int? unloadHeight { get; set; } 
    }
}
