﻿using BPASmartClient.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BPASmartClient.CustomResource.Pages.View
{
    /// <summary>
    /// PasswordChangeView.xaml 的交互逻辑
    /// </summary>
    public partial class PasswordChangeView : Window
    {
        public PasswordChangeView()
        {
            InitializeComponent();
            this.br.MouseLeftButtonDown += (o, e) =>
            {
                if (e.LeftButton == MouseButtonState.Pressed) this.DragMove();
            };
            ActionManage.GetInstance.CancelRegister("PasswordChangeViewconfirm");
            ActionManage.GetInstance.CancelRegister("PasswordChangeViewCancel");
            ActionManage.GetInstance.Register(new Action(() => { this.DialogResult = true; this.Close(); }), "PasswordChangeViewconfirm");
            ActionManage.GetInstance.Register(new Action(() => { this.DialogResult = false; this.Close(); }), "PasswordChangeViewCancel");
        }

        private void newpb2_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if (this.newpb2.Password.Length > 0)
            {
                this.newmarkText2.Visibility = Visibility.Collapsed;
            }
            else
            {
                this.newmarkText2.Visibility = Visibility.Visible;
            }
        }

        private void newpb1_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if (this.newpb1.Password.Length > 0)
            {
                this.newmarkText1.Visibility = Visibility.Collapsed;
            }
            else
            {
                this.newmarkText1.Visibility = Visibility.Visible;
            }
        }

        private void oldpb_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if (this.oldpb.Password.Length > 0)
            {
                this.oldmarkText.Visibility = Visibility.Collapsed;
            }
            else
            {
                this.oldmarkText.Visibility = Visibility.Visible;
            }
        }
    }
}
