﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Device
{
    public class HardwareStatusAttribute : Attribute
    {
        public HardwareStatusAttribute(string describe, string address)
        {
            Describe = describe;
            this.Address = address;
        }

        /// <summary>
        /// 描述
        /// </summary>
        public string Describe { get; set; }


        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }
    }
}
