﻿using BPASmartClient.Model.PLC;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model
{
    public class JuicerModel
    {
        #region 果汁机设备MORKT2  Lebai机器人
        //public const int JUICE2_初始位 = 10021;
        //public const int JUICE2_检测位回原点 = 10023;
        //public const int JUICE2_取纸杯 = 10006;
        //public const int JUICE2_二次取杯 = 10008;
        //public const int JUICE2_纸杯检测 = 10007;
        //public const int JUICE2_再检测 = 10024;
        //public const int JUICE2_接咖啡 = 10009;
        //public const int JUICE2_放咖啡杯 = 10010;

        //public const int JUICE2_接茶叶 = 10017;
        //public const int JUICE2_接茶水 = 10018;
        //public const int JUICE2_接水 = 10020;
        //public const int JUICE2_放水杯 = 10019;

        //public const int JUICE2_接果汁公共位 = 10011;
        //public const int JUICE2_接1号果汁 = 10012;
        //public const int JUICE2_接2号果汁 = 10013;
        //public const int JUICE2_接3号果汁 = 10014;
        //public const int JUICE2_接4号果汁 = 10015;
        //public const int JUICE2_放果汁杯 = 10016;

        public const int JUICE2_初始位 = 10001;
        public const int JUICE2_检测位回原点 = 10001;
        public const int JUICE2_取空杯过渡位 = 10004;
        public const int JUICE2_取纸杯 = 10002;
        public const int JUICE2_取纸杯检测 = 10003;
        public const int JUICE2_再检测 = 10024;
        public const int JUICE2_二次取杯 = 10008;

        //public const int JUICE2_取杯完成后接饮料过渡位 = 10004;

        public const int JUICE2_接咖啡 = 10004;
        //public const int JUICE2_接咖啡放杯过渡位 = 10004;
        public const int JUICE2_接果汁1 = 10004;
        public const int JUICE2_接果汁2 = 10004;
        public const int JUICE2_接果汁3 = 10004;
        public const int JUICE2_接果汁4 = 10004;

        public const int JUICE2_接茶叶 = 10004;
        public const int JUICE2_接茶水 = 10004;
        public const int JUICE2_接开水 = 10004;
        //public const int JUICE2_接开水_茶水放杯过渡位 = 10004;

        public const int JUICE2_放咖啡杯 = 10004;//放咖啡杯包括取接好咖啡的流程
        public const int JUICE2_放果汁杯1 = 10004;
        public const int JUICE2_放果汁杯2 = 10004;
        public const int JUICE2_放果汁杯3 = 10004;
        public const int JUICE2_放果汁杯4 = 10004;
        public const int JUICE2_放水杯 = 10004;

        #endregion

        #region 果汁机设备 MORKT1 JAKA机器人
        public const int JUICE_初始位 = 20000;
        public const int JUICE_取杯 = 20001;
        public const int JUICE_取杯检测 = 20010;
        public const int JUICE_接咖啡 = 20020;
        public const int JUICE_接1号果汁 = 20030;
        public const int JUICE_接2号果汁 = 20040;
        public const int JUICE_接3号果汁 = 20050;
        public const int JUICE_接4号果汁 = 20060;
        public const int JUICE_接茶 = 20070;
        public const int JUICE_接茶水 = 20075;
        public const int JUICE_接水 = 20080;

        public const int JUICE_放咖啡杯 = 20090;
        public const int JUICE_放果汁杯 = 20100;
        public const int JUICE_放茶水杯 = 20110;

        public const int JUICE_放杯 = 20120;
        public const int JUICE_放杯检测 = 20120;
        #endregion
    }

    public class WriteJuicer : WriteModel
    {

    }

    public class ReadJuicer : ReadModel
    {

    }
}
