﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.DosingSystem.Model
{
    public class DeviceAddress
    {
        /// <summary>
        /// 设备名称起始地址
        /// </summary>
        public static string DeviceName { get; set; } = "LW0";

        /// <summary>
        /// 料仓重量反馈起始地址
        /// </summary>
        public static string WeightFeedback { get; set; } = "LW204";

        /// <summary>
        /// 重量设置地址
        /// </summary>
        public static string WeightSet { get; set; } = "LW200";

        /// <summary>
        /// 启动信号地址
        /// </summary>
        public static string Start { get; set; } = "LW210";

        /// <summary>
        /// 下料重量反馈地址
        /// </summary>
        public static string CutWeightFeedback { get; set; } = "LW202";

        /// <summary>
        /// 设备运行状态地址
        /// </summary>
        public static string RunStatus { get; set; } = "LW206";
    }



}
