﻿using BPASmartClient.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BPASmartClient.DosingSystem.View
{
    /// <summary>
    /// NewRecipeView.xaml 的交互逻辑
    /// </summary>
    public partial class NewRecipeView : Window
    {
        public NewRecipeView()
        {
            InitializeComponent();
            this.btClose.Click += (o, e) => { this.Close(); };
            this.br.MouseLeftButtonDown += (o, e) => { if (e.LeftButton == MouseButtonState.Pressed) this.DragMove(); };
            ActionManage.GetInstance.CancelRegister("CloseNewRecipeView");
            ActionManage.GetInstance.Register(new Action(() => { this.Close(); }), "CloseNewRecipeView");
        }
    }
}
